View Issue Details

IDProjectCategoryView StatusLast Update
0014792LazarusLCLpublic2011-12-01 11:24
ReporterMarc WeustinkAssigned ToLuiz Americo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.26.2Product Build 
Target VersionFixed in Version 
Summary0014792: Integrate LCLExtensions in LCL (if possible)
DescriptionSee http://www.lazarus.freepascal.org/index.php/topic,7261.0/topicseen.html
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0014857 closedPaul Ishenin Window/Viewport transformations (SetMapMode etc.) 

Activities

Zeljan Rikalo

2009-10-13 14:13

developer   ~0031290

My vote for this.

Marc Weustink

2010-01-03 15:52

administrator   ~0033446

Last edited: 2010-01-03 15:55

After examining the functions the package is adding it is imo not a good idea to add those for the following reasons:

function CreateBitmapMask:
First, creating a mask is already part of TRasterImage.
Second, some implementations are empty

function DirectMaskBlt:
Comment says it all, this is a stripped version of LCL.StretchMaskBlt
I see no reason to add duplicate code.

function OptimalPixelFormat:
This always should be pfDevice, if not then there is something else wrong.

function OSSupportsUTF16:
This is an OS function not a widgetset function, so it doesn't belong here
Besides, this flag shouldn't be needed anyway, the LCL is always utf8, when dealing with OS functions, use the proper SysXXX conversion routines

Marc Weustink

2010-01-03 16:47

administrator   ~0033447

Oops, there is a lot more interesting delphicompat.pas too

German Pablo Gentile

2010-06-07 05:58

reporter   ~0038352

vote +1

Luiz Americo

2010-09-21 14:29

developer   ~0041262

The doable parts were integarted in LCL. Now VTV can be compiled without LCLExtensions package.

Issue History

Date Modified Username Field Change
2009-10-13 10:50 Marc Weustink New Issue
2009-10-13 10:50 Marc Weustink LazTarget => -
2009-10-13 10:51 Marc Weustink Status new => assigned
2009-10-13 10:51 Marc Weustink Assigned To => Marc Weustink
2009-10-13 10:51 Marc Weustink LazTarget - => 0.9.30
2009-10-13 14:13 Zeljan Rikalo Note Added: 0031290
2009-10-20 14:37 Zeljan Rikalo Relationship added related to 0014857
2010-01-03 15:52 Marc Weustink Status assigned => resolved
2010-01-03 15:52 Marc Weustink Resolution open => won't fix
2010-01-03 15:52 Marc Weustink Note Added: 0033446
2010-01-03 15:55 Marc Weustink Note Edited: 0033446
2010-01-03 16:47 Marc Weustink Status resolved => assigned
2010-01-03 16:47 Marc Weustink Resolution won't fix => reopened
2010-01-03 16:47 Marc Weustink Note Added: 0033447
2010-06-05 13:54 Luiz Americo Assigned To Marc Weustink => Luiz Americo
2010-06-07 05:58 German Pablo Gentile Note Added: 0038352
2010-09-21 14:29 Luiz Americo Status assigned => resolved
2010-09-21 14:29 Luiz Americo Resolution reopened => fixed
2010-09-21 14:29 Luiz Americo Note Added: 0041262
2011-12-01 11:24 Marc Weustink Status resolved => closed